CVE-2017-11523

NameCVE-2017-11523
DescriptionThe ReadTXTImage function in coders/txt.c in ImageMagick through 6.9.9-0 and 7.x through 7.0.6-1 allows remote attackers to cause a denial of service (infinite loop) via a crafted file, because the end-of-file condition is not considered.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1081-1, DSA-4019-1
NVD severityhigh (attack range: remote)
Debian Bugs869210

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)wheezy8:6.7.7.10-5+deb7u4vulnerable
wheezy (security)8:6.7.7.10-5+deb7u18fixed
jessie8:6.8.9.9-5+deb8u9vulnerable
jessie (security)8:6.8.9.9-5+deb8u11vulnerable
stretch8:6.9.7.4+dfsg-11+deb9u1vulnerable
stretch (security)8:6.9.7.4+dfsg-11+deb9u3fixed
buster, sid8:6.9.7.4+dfsg-16fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)8:6.9.7.4+dfsg-14low869210
imagemagicksourcestretch8:6.9.7.4+dfsg-11+deb9u2highDSA-4019-1
imagemagicksourcewheezy8:6.7.7.10-5+deb7u16highDLA-1081-1

Notes

[jessie] - imagemagick <no-dsa> (Minor issue)
https://github.com/ImageMagick/ImageMagick/issues/591
Fixed by: https://github.com/ImageMagick/ImageMagick/commit/83e0f8ffd7eeb7661b0ff83257da23d24ca7f078
Fixed by (ImageMagick-6): https://github.com/ImageMagick/ImageMagick/commit/a8f9c2aabed37cd6a728532d1aed13ae0f3dfd78

Search for package or bug name: Reporting problems